Bug 243066 - Timeline view does not display images
Summary: Timeline view does not display images
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Searches-TimeLine (show other bugs)
Version: 1.4.0
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-28 19:43 UTC by Simon
Modified: 2012-06-27 10:23 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon 2010-06-28 19:43:20 UTC
Version:           0.6.2
OS:                Linux

under certain conditions.

Reproducible: Always

Steps to Reproduce:
1 Select e.g. May 2010
2 (Double-)Click any image there to open it with the preview
3 Select June 2010

digikam should now go back to the album view, but it is still trying to display the image from step 2, which is now gone. So there is just a blank screen.



OS: Linux (x86_64) release 2.6.34-0.slh.10-sidux-amd64
Compiler: cc
Comment 1 caulier.gilles 2010-06-29 06:58:24 UTC
yes i confirm. It fully reproducible there. preview do not switch back to icon view.

Gilles Caulier
Comment 2 Marcel Wiesweg 2011-01-27 18:57:30 UTC
SVN commit 1217510 by mwiesweg:

Even if the pointer of the current album does not change, but the query
of the change, emit the currentAlbumChanged signal.
Then, the preview mode is reset properly.

BUG: 243066


 M  +12 -3     albummanager.cpp  
 M  +6 -3      digikamview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217510